Thunderbird 15 stable release tracking bug

Bug #1042165 reported by Chris Coulson on 2012-08-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
enigmail (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
lightning-extension (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
thunderbird (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
Micah Gersten (micahg) on 2012-08-28
Changed in enigmail (Ubuntu):
status: New → Invalid
Changed in lightning-extension (Ubuntu):
status: New → Invalid
Changed in thunderbird (Ubuntu):
status: New → Invalid
summary: - Placeholder bug
+ Thunderbird 15 stable release tracking bug
no longer affects: lightning-extension (Ubuntu Lucid)
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package enigmail - 2:1.4.4-0ubuntu0.11.10.1

---------------
enigmail (2:1.4.4-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream release v1.4.4 to support Thunderbird 15
    - LP: #1042165
 -- Chris Coulson <email address hidden> Mon, 20 Aug 2012 16:55:43 +0100

Changed in enigmail (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-extension - 1.7+build1-0ubuntu0.12.04.2

---------------
lightning-extension (1.7+build1-0ubuntu0.12.04.2) precise-security; urgency=low

  * New upstream stable release to support Thunderbird 15 (CALENDAR_1_7_BUILD1)
    - LP: #1042165

  * Add extra directories required by the build system to the tarball
    - update debian/rules
  * Drop fix-dtoa-build-on-ppc.patch, which is fixed upstream
 -- Chris Coulson <email address hidden> Mon, 20 Aug 2012 17:19:51 +0100

Changed in lightning-extension (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-extension - 1.7+build1-0ubuntu0.11.04.1

---------------
lightning-extension (1.7+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release to support Thunderbird 15 (CALENDAR_1_7_BUILD1)
    - LP: #1042165

  * Add extra directories required by the build system to the tarball
    - update debian/rules
  * Drop fix-dtoa-build-on-ppc.patch, which is fixed upstream
 -- Chris Coulson <email address hidden> Mon, 20 Aug 2012 17:19:51 +0100

Changed in lightning-extension (Ubuntu Natty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-extension - 1.7+build1-0ubuntu0.11.10.1

---------------
lightning-extension (1.7+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release to support Thunderbird 15 (CALENDAR_1_7_BUILD1)
    - LP: #1042165

  * Add extra directories required by the build system to the tarball
    - update debian/rules
  * Drop fix-dtoa-build-on-ppc.patch, which is fixed upstream
 -- Chris Coulson <email address hidden> Mon, 20 Aug 2012 17:19:51 +0100

Changed in lightning-extension (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package thunderbird - 15.0+build1-0ubuntu0.12.04.1

---------------
thunderbird (15.0+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_BUILD1)
    - see LP: #1042165 for USN information

  * Update globalmenu-extension to 3.4.1
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes
    + Keep the menu we export in sync with the document tree all of the
      time, rather than only when the menus are on screen. The HUD likes to
      open submenus without opening any of its ancestors, which can result in
      us handling events on menu nodes that are no longer in a document
      if an ancestor responds to a bubbled-up event by removing its
      children
    + Ensure we always null check the result of nsIDocument::GetCurrentDoc
    + When tearing down a menu, make sure that we empty out our DbusmenuMenuitem
      in case the parent reuses that item for another menu. Fixes a memory leak
      and an issue where Firebug menu items are duplicated indefinitely each
      time a menu is opened
    - Fix LP: #775080 - Thunderbird with Firetray/MinimizeToTray -
      Global menu disappears
    - Fix LP: #813775 - Hitting an assertion in dbusmenu
    - Fix LP: #775305 - Use style to determine menuitem visibility
  * Update eds extension to 0.3.11
  * Make thunderbird-dbg depend on the correct version of thunderbird
    - update debian/control
  * Separate the package name from the application name. This enables us to
    change the package name without having to modify the application (eg,
    to allow us to provide official branded versions of Thunderbird ESR using
    the package name "thunderbird-esr"). In doing this, also drop the patch we
    had to rename Thunderbird in nightlies, and just use some magic in debian/rules
    instead
    - update debian/apport/source_thunderbird.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control.in
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - remove debian/patches/change-moz-app-name.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.lintian-overrides.in
    - update debian/thunderbird.postinst.in
    - update debian/thunderbird.postrm.in
    - update debian/thunderbird.preinst.in
    - update debian/thunderbird.sh.in
  * Move parts of debian/rules that can be shared with Firefox to a
    new, common file (mozbuild.mk)
    - update debian/rules
    - add debian/build/mozbuild.mk
    - add debian/build/mozvars.mk
    - update debian/build/testsuite.mk
  * Make it possible to use the same create-tarball.py for Firefox and
    Thunderbird
    - update debian/build/create-...

Read more...

Changed in thunderbird (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.1 KiB)

This bug was fixed in the package thunderbird - 15.0+build1-0ubuntu0.10.04.1

---------------
thunderbird (15.0+build1-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_BUILD1)
    - see LP: #1042165 for USN information

  * Make thunderbird-dbg depend on the correct version of thunderbird
    - update debian/control
  * Separate the package name from the application name. This enables us to
    change the package name without having to modify the application (eg,
    to allow us to provide official branded versions of Thunderbird ESR using
    the package name "thunderbird-esr"). In doing this, also drop the patch we
    had to rename Thunderbird in nightlies, and just use some magic in debian/rules
    instead
    - update debian/apport/source_thunderbird.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control.in
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - remove debian/patches/change-moz-app-name.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.lintian-overrides.in
    - update debian/thunderbird.postinst.in
    - update debian/thunderbird.postrm.in
    - update debian/thunderbird.preinst.in
    - update debian/thunderbird.sh.in
  * Move parts of debian/rules that can be shared with Firefox to a
    new, common file (mozbuild.mk)
    - update debian/rules
    - add debian/build/mozbuild.mk
    - add debian/build/mozvars.mk
    - update debian/build/testsuite.mk
  * Make it possible to use the same create-tarball.py for Firefox and
    Thunderbird
    - update debian/build/create-tarball.py
    - update debian/build/get-orig-source.mk
    - add debian/config/tarball.conf
  * Switch to source format 3.0
    - add debian/source/format
    - add debian/source/options to diff-ignore the .mozclient.mk file which
      is created during clean, and to pass "--no-preparation"
    - update debian/build/enable-dist-patches.pl
    - rename debian/patches/series => debian/patches/series.in so the source
      isn't built with patches applied
    - add debian/README.source
  * Goodbye embedded tarball, and our use of tarball.mk!
    - update debian/build/create-tarball.py
    - update debian/build/extract-file.py
    - update debian/build/get-orig-source.mk
    - update debian/build/mozbuild.mk
  * Run the upstream cleansrcdir target during clean
    - update debian/build/mozbuild.mk
  * Support the "parallel" option in DEB_BUILD_OPTIONS
    - update debian/build/mozbuild.mk
    - update debian/config/mozconfig.in
  * Get rid of pointless python script
    - remove debian/build/extract-file.py
    - update debian/build/mozbuild.mk
  * Merge get-orig-source.mk in to mozbuild.mk
    - update debian/build/mozbuild.mk
    - remove debian/build/get-orig-source.mk
  * Handle comments in locales.blacklist
    - update debian/build/refresh-supported-locales.pl
    - update debian/config/locales.blacklist
  * Fork the upstream text preprocessor and add support for additional
    comparison operators, which means we n...

Read more...

Changed in thunderbird (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package thunderbird - 15.0+build1-0ubuntu0.11.10.1

---------------
thunderbird (15.0+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_BUILD1)
    - see LP: #1042165 for USN information

  * Update globalmenu-extension to 3.4.1
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes
    + Keep the menu we export in sync with the document tree all of the
      time, rather than only when the menus are on screen. The HUD likes to
      open submenus without opening any of its ancestors, which can result in
      us handling events on menu nodes that are no longer in a document
      if an ancestor responds to a bubbled-up event by removing its
      children
    + Ensure we always null check the result of nsIDocument::GetCurrentDoc
    + When tearing down a menu, make sure that we empty out our DbusmenuMenuitem
      in case the parent reuses that item for another menu. Fixes a memory leak
      and an issue where Firebug menu items are duplicated indefinitely each
      time a menu is opened
    + Fix LP: #775080 - Thunderbird with Firetray/MinimizeToTray -
      Global menu disappears
    + Fix LP: #813775 - Hitting an assertion in dbusmenu
    + Fix LP: #775305 - Use style to determine menuitem visibility
  * Update eds extension to 0.3.11
  * Make thunderbird-dbg depend on the correct version of thunderbird
    - update debian/control
  * Separate the package name from the application name. This enables us to
    change the package name without having to modify the application (eg,
    to allow us to provide official branded versions of Thunderbird ESR using
    the package name "thunderbird-esr"). In doing this, also drop the patch we
    had to rename Thunderbird in nightlies, and just use some magic in debian/rules
    instead
    - update debian/apport/source_thunderbird.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control.in
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - remove debian/patches/change-moz-app-name.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.lintian-overrides.in
    - update debian/thunderbird.postinst.in
    - update debian/thunderbird.postrm.in
    - update debian/thunderbird.preinst.in
    - update debian/thunderbird.sh.in
  * Move parts of debian/rules that can be shared with Firefox to a
    new, common file (mozbuild.mk)
    - update debian/rules
    - add debian/build/mozbuild.mk
    - add debian/build/mozvars.mk
    - update debian/build/testsuite.mk
  * Make it possible to use the same create-tarball.py for Firefox and
    Thunderbird
    - update debian/build/create-...

Read more...

Changed in thunderbird (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package thunderbird - 15.0+build1-0ubuntu0.11.04.1

---------------
thunderbird (15.0+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_BUILD1)
    - see LP: #1042165 for USN information

  * Update globalmenu-extension to 3.4.1
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes
    + Keep the menu we export in sync with the document tree all of the
      time, rather than only when the menus are on screen. The HUD likes to
      open submenus without opening any of its ancestors, which can result in
      us handling events on menu nodes that are no longer in a document
      if an ancestor responds to a bubbled-up event by removing its
      children
    + Ensure we always null check the result of nsIDocument::GetCurrentDoc
    + When tearing down a menu, make sure that we empty out our DbusmenuMenuitem
      in case the parent reuses that item for another menu. Fixes a memory leak
      and an issue where Firebug menu items are duplicated indefinitely each
      time a menu is opened
    + Fix LP: #775080 - Thunderbird with Firetray/MinimizeToTray -
      Global menu disappears
    + Fix LP: #813775 - Hitting an assertion in dbusmenu
    + Fix LP: #775305 - Use style to determine menuitem visibility
  * Ensure the Apport hook parses the system preferences on Natty
    - update debian/apport/source_thunderbird.py.in
  * Make thunderbird-dbg depend on the correct version of thunderbird
    - update debian/control
  * Separate the package name from the application name. This enables us to
    change the package name without having to modify the application (eg,
    to allow us to provide official branded versions of Thunderbird ESR using
    the package name "thunderbird-esr"). In doing this, also drop the patch we
    had to rename Thunderbird in nightlies, and just use some magic in debian/rules
    instead
    - update debian/apport/source_thunderbird.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control.in
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - remove debian/patches/change-moz-app-name.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.lintian-overrides.in
    - update debian/thunderbird.postinst.in
    - update debian/thunderbird.postrm.in
    - update debian/thunderbird.preinst.in
    - update debian/thunderbird.sh.in
  * Move parts of debian/rules that can be shared with Firefox to a
    new, common file (mozbuild.mk)
    - update debian/rules
    - add debian/build/mozbuild.mk
    - add debian/build/mozvars.mk
    - update debian/build/testsuite.mk
  * Make it possible to use the same cr...

Read more...

Changed in thunderbird (Ubuntu Natty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package enigmail - 2:1.4.4-0ubuntu0.12.04.1

---------------
enigmail (2:1.4.4-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream release v1.4.4 to support Thunderbird 15
    - LP: #1042165
 -- Chris Coulson <email address hidden> Mon, 20 Aug 2012 16:54:48 +0100

Changed in enigmail (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package enigmail - 2:1.4.4-0ubuntu0.10.04.1

---------------
enigmail (2:1.4.4-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v1.4.4 to support Thunderbird 15
    - LP: #1042165
 -- Chris Coulson <email address hidden> Mon, 20 Aug 2012 17:18:43 +0100

Changed in enigmail (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package enigmail - 2:1.4.4-0ubuntu0.11.04.1

---------------
enigmail (2:1.4.4-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream release v1.4.4 to support Thunderbird 15
    - LP: #1042165
 -- Chris Coulson <email address hidden> Mon, 20 Aug 2012 17:18:02 +0100

Changed in enigmail (Ubuntu Natty):
status: New → Fix Released
Micah Gersten (micahg) on 2012-08-30
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers